<template>
  <v-container v-if="cv">
    <v-row>
      <v-col cols="3"> </v-col>
      <v-col cols="8" offset="1">
        <h1 class="page-header">
          {{ cv.fullName }}
          <span class="header-info "></span>
        </h1>
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="3">
        <v-avatar size="296">
          <img :src="cv.avatar" />
        </v-avatar>
      </v-col>
      <v-col cols="8" offset="1">
        <more-badges :badges="cv.skils" :max-length="9999" />
        <h2>Обо мне</h2>
        <p v-for="message in cv.messages" :key="`message-${message.id}`">
          {{ message.message }}
        </p>
      </v-col>
    </v-row>
  </v-container>
</template>
<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { Cv } from "../../models/cv";
import MoreBadges from "@/components/ui/MoreBadges.vue";

@Component({
  components: { MoreBadges },
})
export default class CvPage extends Vue {
  cv: Cv | null = null;
  async mounted() {
    this.cv = await Cv.get(this.$route.params.id);
  }
}
</script>
